/*
 * port_intr.h
 *
 *  Created on: Oct 11, 2024
 *      Author: true
 */

#ifndef USER_PORT_INTR_H_
#define USER_PORT_INTR_H_



#define PORT_INTR_GPIOA     0
#define PORT_INTR_GPIOB     1



void port_intr_init();
void port_intr_cb_register(uint8_t port, uint8_t idx, void (*fn)(void));



#endif /* USER_PORT_INTR_H_ */
